SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000613: ipsec.cgi: no special characters allowed in PSK key string - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000613Endian FirewallNetwork related (VPN, uplinks)public2008-03-10 18:222008-09-10 15:44
Reporterfuraco 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version2.2-rc3Fixed in Version2.2-rc2 
Summary0000613: ipsec.cgi: no special characters allowed in PSK key string
DescriptionWhen you use IPSEC with pre-shared key, you cannot enter ANY characters as I want in the PSK fields.
For Example "%" or "^" are not valid characters.
IPSEC implementaion specifies tha all the ascii table can be used.
In my case I have to connect my endian box (community but will be commercial IF everything works) to a vpn endpoint which supplies me the PSK, I can't modify it.
I manually modified the PSK in the console, I'd like to know if this is the correct solution.
And, I'd like to know where too look for logs about ipsec/ipsec vpn.
I can't find anything about the handshake and so on.
Is IPsec fully supported?

Thanks, Mattia

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001194)
peter-endian (administrator)
2008-05-16 18:37

special characters are possible now.
have a connection with such a PSK key up and running:
@remote @local : PSK "test$bl%ah!lala_hihi^12318237"

- Issue History
Date Modified Username Field Change
2008-03-10 18:22 furaco New Issue
2008-03-10 18:22 furaco Status new => assigned
2008-03-10 18:22 furaco Assigned To => peter-endian
2008-04-08 08:20 peter-endian Product Version 2.2-beta3 => 2.1
2008-04-08 08:20 peter-endian Summary ..applies to 2.1.2 too! => ipsec.cgi: no special characters allowed in PSK key string
2008-04-08 08:20 peter-endian Target Version => 2.2-rc1
2008-05-09 16:40 peter-endian Target Version 2.2-rc1 => 2.2
2008-05-16 18:37 peter-endian Status assigned => resolved
2008-05-16 18:37 peter-endian Fixed in Version => 2.2
2008-05-16 18:37 peter-endian Resolution open => fixed
2008-05-16 18:37 peter-endian Note Added: 0001194
2008-07-24 15:53 ra-endian Fixed in Version 2.2 => 2.2-rc2
2008-07-27 20:18 peter-endian Status resolved => closed
2008-09-10 15:44 chris-endian Target Version 2.2 => 2.2-rc3

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker